GetTransaction By ID

Retrieving a single transaction by id

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

To successfully obtain transaction information, you must specify the transaction ID


If you follow the above rules, you will receive a response like this:

{
  "transaction_id": "6ddaf262-14c0-4ba4-b782-8839895ff642",
  "status": "success",
  "attributes": "login",
  "amount": "0.1000",
  "commission": "0.0010",
  "final_amount": "0.1010",
  "type":"steam_refill",
  "created_at": "2025-07-16T22:15:00.651307+07:00",
  "updated_at": "2025-07-16T22:15:45.815131+07:00",
  "description": "refill steam"
}

transaction_id - The transaction ID you specified in your request

status - transaction status

attributes - Steam user login

amount - the amount required to be credited to your Steam account

commission - commission/discount for purchase

final_amount - total top-up cost (amount to be debited from your balance)

created_at - transaction creation date

updated_at - transaction modification date

description - transaction description

reference - your ID; it may not be included in the response if it was not provided by you


Possible errors:

If you receive a message such as:

{
  "error_code": -1
}

Review the list of errors Error Codes

Path Params
string
required
Headers
string
required

Apikey

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!